#!/usr/bin/make -f
# debian/rules for the Debian libfontenc package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# set this to the name of the main shlib's binary package
PACKAGE = libfontenc1

%:
	dh $@ -Bbuild

override_dh_auto_configure:
	dh_auto_configure -- \
		     --with-encodingsdir=\$${datadir}/fonts/X11/encodings \
		     --disable-silent-rules

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --sourcedir=debian/tmp

override_dh_strip:
	dh_strip -p$(PACKAGE) --dbgsym-migration='libfontenc1-dbg (<< 1:1.1.4-1)'
	dh_strip -N$(PACKAGE)

override_dh_makeshlibs:
	dh_makeshlibs --add-udeb=$(PACKAGE)-udeb
